---------------------
PatchSet 4088 
Date: 2007/03/08 22:05:31
Author: rousskov
Branch: squid3-icap
Tag: (none) 
Log:
- Use auto-consumption feature to consume data from closing connections for
  which there is no real body consumer.

Members: 
	src/client_side.cc:1.74.2.17->1.74.2.18 

Index: squid3/src/client_side.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/client_side.cc,v
retrieving revision 1.74.2.17
retrieving revision 1.74.2.18
diff -u -r1.74.2.17 -r1.74.2.18
--- squid3/src/client_side.cc	14 Feb 2007 07:19:43 -0000	1.74.2.17
+++ squid3/src/client_side.cc	8 Mar 2007 22:05:31 -0000	1.74.2.18
@@ -1,6 +1,6 @@
 
 /*
- * $Id: client_side.cc,v 1.74.2.17 2007/02/14 07:19:43 rousskov Exp $
+ * $Id: client_side.cc,v 1.74.2.18 2007/03/08 22:05:31 rousskov Exp $
  *
  * DEBUG: section 33    Client-side Routines
  * AUTHOR: Duane Wessels
@@ -3208,9 +3208,9 @@
     // read the entire body anyway.
     // Perhaps an ICAP server wants to log the complete request.
 
-    // XXX: but it could be consumer abort that caused this closing,
-    // which means we may get stuck as nobody is consuming our data!
-    // BodyPipe should probably implement a consumer-less sink mode.
+    // If a consumer abort have caused this closing, we may get stuck
+    // as nobody is consuming our data. Allow auto-consumption.
+    bodyPipe->enableAutoConsumption();
 }
 
 char *
